This patch fixes a bug in 1.5-3 that prevented opers without the
'remote' flag being able to SQUIT locally connected servers.

===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/core/m_squit.c,v
retrieving revision 1.67.2.3
retrieving revision 1.67.2.4
diff -u -r1.67.2.3 -r1.67.2.4
--- ircd-ratbox/modules/core/m_squit.c	2004/05/20 12:06:45	1.67.2.3
+++ ircd-ratbox/modules/core/m_squit.c	2004/10/27 15:50:00	1.67.2.4
@@ -82,12 +82,6 @@
 	struct squit_parms *found_squit;
 	char *comment = (parc > 2 && parv[2]) ? parv[2] : client_p->name;
 
-	if(!IsOperRemote(source_p))
-	{
-		sendto_one(source_p, ":%s NOTICE %s :You need remote = yes;", me.name, parv[0]);
-		return;
-	}
-
 	if(parc < 2 || EmptyString(parv[1]))
 	{
 		sendto_one(source_p, form_str(ERR_NEEDMOREPARAMS), me.name, parv[0], "SQUIT");
@@ -106,6 +100,12 @@
 			     found_squit->target_p->name, log_client_name(source_p, HIDE_IP),
 			     comment);
 		}
+		else if(!IsOperRemote(source_p))
+		{
+			sendto_one(source_p, ":%s NOTICE %s :You need remote = yes;", me.name, parv[0]);
+			return;
+		}
+
 		exit_client(client_p, found_squit->target_p, source_p, comment);
 		return;
 	}
